Package org.eclipse.microprofile.config.tck.converters.implicit

# Class ConvTestTypeWStringOf

java.lang.Object
org.eclipse.microprofile.config.tck.converters.implicit.ConvTestTypeWStringOf

public class ConvTestTypeWStringOf extends Object
Part of the implicit Converter test. Sample class which has a of(String) method

Author:
  Emily Jiang

## Constructor Summary

Constructors
Constructor
Description
`ConvTestTypeWStringOf()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getVal()`
`static ConvTestTypeWStringOf`
`of(String val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConvTestTypeWStringOf

public ConvTestTypeWStringOf()

## Method Details

### of

public static ConvTestTypeWStringOf of(String val)

### getVal

public String getVal()